package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.SysUserDepart;
import cn.com.ctop.common.module.model.DepartIdModel;
import cn.com.ctop.common.module.model.SysUserDepartsVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.system.entity.SysUser;

import java.util.List;

public interface ISysUserDepartService extends IService<SysUserDepart> {
    boolean addSysUseWithrDepart(SysUserDepartsVO sysUserDepartsVO);

    List<DepartIdModel> queryDepartIdsOfUser(String userId);

    boolean editSysUserWithDepart(SysUserDepartsVO sysUserDepartsVO);

    List<SysUser> queryUserByDepId(String depId);

    List<SysUser> queryUserByDepCode(String depCode, String realname);

    IPage<SysUser> queryDepartUserPageList(String departId, String username, String realname, int pageSize, int pageNo);
}
